image:
  name: alpine/helm:3.5.4
  entrypoint: ["/bin/sh", "-c"]

deploy-helm:
  script:
    - apk add gettext
    - envsubst < values.template.yaml > values.yaml
    - helm repo add jupyterhub https://jupyterhub.github.io/helm-chart/
    - helm repo update
    # - helm upgrade --cleanup-on-fail --install hpchub jupyterhub/jupyterhub -n csusb-hpc --version=1.2.0 --values values.yaml
    - helm upgrade --cleanup-on-fail
      --install hubdev jupyterhub/jupyterhub
      --namespace csusb-hub-dev --version=1.2
      --values values.yaml
      --set-file hub.extraFiles.custom_spawner_profile.stringData=./extraFiles/my_spawner.html
      --set-file hub.extraFiles.custom_spawner.stringData=./extraFiles/my_spawner.py
      --set-file hub.extraFiles.image_select_idp.binaryData=./extraFiles/select_idp_cilogon.png.b64
      --set-file hub.extraFiles.custom_login_html.stringData=./extraFiles/login.html
      --set-file hub.extraFiles.custom_page_html.stringData=./extraFiles/page.html
      --set-file hub.extraFiles.custom_spawn_pending_html.stringData=./extraFiles/spawn_pending.html

  environment:
  #Check the namespace
    name: csusb-hub-dev

